'use strict';

const index = require('../../../is-alphabetical@2.0.1/node_modules/is-alphabetical/index.cjs');
const index$1 = require('../../../is-decimal@2.0.1/node_modules/is-decimal/index.cjs');

/**
 * Check if the given character code, or the character code at the first
 * character, is alphanumerical.
 *
 * @param {string|number} character
 * @returns {boolean} Whether `character` is alphanumerical.
 */
function isAlphanumerical(character) {
  return index.isAlphabetical(character) || index$1.isDecimal(character)
}

exports.isAlphanumerical = isAlphanumerical;
